#ifndef DEVICE_DEFINE_H
#define DEVICE_DEFINE_H

#define DEV_SERIAL_LEN 128
#define DEV_NAME_LEN    128

struct st_device
{
    unsigned int ui_pid;
    unsigned int ui_vid;
    char c_serial[DEV_SERIAL_LEN];
    char c_dev_name[DEV_NAME_LEN];
};

//设备类型
enum DevType {
    DEV_USB = 1,
    DEV_WIRELESS = 7,
    DEV_ETHERNET = 8,
    DEV_MAX
};

//usb设备的类型
enum UsbDevType {
    DEV_NO_USB = 0,
    DEV_USB_HARD_DRIVE = 1,
    DEV_USB_CDROM,
    DEV_USB_PRINTER,
    DEV_USB_CAMERA,
    DEV_USB_BLUETOOTH,
    DEV_USB_STORAGE,
    DEV_USB_MAX
};

#endif // DEVICE_DEFINE_H
